﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url32      = 'https://github.com/mltframework/shotcut/releases/download/v18.08.11/shotcut-win32-180811.exe'
$url64      = 'https://github.com/mltframework/shotcut/releases/download/v18.08.11/shotcut-win64-180811.exe'
$checksum32 = '17d0d693e5b73431e8d6df2b2f9b3a3f9f544ecdab8d988f76777de48fdc9944'
$checksum64 = 'cf6975a33c994fbfc63943c94247ed470e61cd7da04bc2b6b6a1770aadf5b6ad'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url32
  url64Bit      = $url64

  softwareName  = 'shotcut*'

  checksum      = $checksum32
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
